Bug 427515 - suspend button works only once
suspend button works only once
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 06:30 EST by Éric Brunet
Modified: 2013-03-05 22:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Éric Brunet 2008-01-04 06:30:00 EST
Description of problem:

When I hit the "go to sleep" key combo (Fn-Esc), it works only the first time. 
After resume, it doesn't work anymore. The problem is almost surely with 
kpowersave.


Version-Release number of selected component (if applicable):

fully up-to-date fedora 7, with kpowersave-0.7.3-1. Everything works fine if I 
downgrade to kpowersave-0.7.2-1.

How reproducible:

Every time.


Steps to Reproduce:
1. Boot
2. Suspend (with fn+esc) and resume 
3. Try again.
  
Actual results:

Doesn't work the second time

Expected results:

should work (Duh. These fields are really annoying.)

Additional info:

Laptop is a Dell D430. Suspend works if I hit the "suspend to ram" menu entry 
in the kpowersave applet. When I press fn+esc and nothing happens, the 
keyboard event is correctly logged in /var/log/acpid:
   received event "button/sleep SBTN 00000080 00000022"
   notifying client 2301[68:68]
   notifying client 2452[0:0]
   completed event "button/sleep SBTN 00000080 00000022"
(2301 is hald-addon-acpi, 2452 is X)

If I kill kpowersave and restart it, the fn+esc key combo works again. But 
only once.

I notice that, at a successfull suspend/resume (either the first time I hit 
fn+esc, either by using the menu entry), the acpi daemon sends in quick 
succession an event ac_adapter AC and an event battery BAT0. (This is a quirk, 
as the laptop ius unplugged during the whole operation). When trying to notify 
its clients, it realizes that X is no longer listening ("client has 
deconnected") and notify its other client (hald). Then, just after, X 
reconnects to the acpid daemon. Just to make sure perfectly clear, when I hit 
fn+esc the second time, the X server is correctly identified as a acpid 
client.
Comment 1 Éric Brunet 2008-01-06 10:09:41 EST
As suggested by the bug repport at

https://sourceforge.net/tracker/?func=detail&atid=700009&aid=1814473&group_id=124576

I compiled and installed an hal-0.5.10 on my fedora 7, and it fixed the 
problem. So pushing a new version of hal on fedora 7 is probably the simplest 
way to go.
Comment 2 Bug Zapper 2008-05-14 11:13:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:58:49 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.